Subject: Re: [PATCH] kvm: fix irqfd build failure discovered in linux-next

From: Gregory Haskins <[email-masked]>
Date: Thu, 21 May 2009 09:26:01 -0400

Avi Kivity wrote:
> Gregory Haskins wrote:
>> Stephen Rothwell noted a build failure in arch != x86 in last nights
>> linux-next tree, as noted here:
>>
>> http://lkml.org/lkml/2009/5/21/32
>>
>> This patch corrects the build issue by requiring explicit support for
>> IRQFD to be defined, and only defining it on x86 (the only arch fully
>> supported).  The code itself isnt architecture dependent, but we need
>> to add a new file to each makefile, advertise the capability, and
>> of course, test that it works for each supported arch.  We will submit
>> patches against each relevant arch at a later time to enable support
>> there as well.
>>
>> Signed-off-by: Gregory Haskins <[email-masked]>
>> ---
>>
>>  arch/x86/kvm/Makefile    |    1 +
>>  include/linux/kvm_host.h |   17 +++++++++++++++++
>>  virt/kvm/eventfd.c       |    6 ++++++
>>  virt/kvm/kvm_main.c      |    2 +-
>>  4 files changed, 25 insertions(+), 1 deletions(-)
>>
>> diff --git a/arch/x86/kvm/Makefile b/arch/x86/kvm/Makefile
>> index 01e3c61..e5ce95e 100644
>> --- a/arch/x86/kvm/Makefile
>> +++ b/arch/x86/kvm/Makefile
>> @@ -1,5 +1,6 @@
>>  
>>  EXTRA_CFLAGS += -Ivirt/kvm -Iarch/x86/kvm
>> +EXTRA_CFLAGS += -DKVM_HAVE_EVENTFD
>>  
>>   
>
> The standard idiom for this is to use a Kconfig symbol; see for
> example HAVE_KVM_IRQCHIP in arch/*/kvm/Kconfig.

Ah, I didn't realize I could do this in such a contained manner.  I was
afraid of polluting the top level arch/Kconfig, which is why I went this
other route.   But I see from your example that this is not the case.  I
will make a v2 with this change.

-Greg